Przeglądaj źródła

add nix-maintenance.sh

container/radius
Astro 2 lat temu
rodzic
commit
0c9ce308c2
1 zmienionych plików z 10 dodań i 0 usunięć
  1. 10
    0
      nix-maintenance.sh

+ 10
- 0
nix-maintenance.sh Wyświetl plik

@@ -0,0 +1,10 @@
1
+#!/usr/bin/env bash
2
+
3
+set -x
4
+set -e
5
+
6
+sudo nix-channel --update
7
+time nix-env -- -u \*
8
+time sudo nixos-rebuild switch
9
+time sudo nix-collect-garbage -d
10
+time sudo nix-store --optimise

Ładowanie…
Anuluj
Zapisz